Loading...
Searching...
No Matches
ITexture.h File Reference
`#include "IReferenceCounted.h"`
`#include "IImage.h"`
`#include "dimension2d.h"`
`#include "EDriverTypes.h"`
`#include "path.h"`
`#include "matrix4.h"`

Go to the source code of this file.

## Classes

class | irr::video::ITexture
| Interface of a Video Driver dependent Texture. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video
| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum

irr::video::E_TEXTURE_CREATION_FLAG {
irr::video::ETCF_ALWAYS_16_BIT = 0x00000001 , irr::video::ETCF_ALWAYS_32_BIT = 0x00000002 , irr::video::ETCF_OPTIMIZED_FOR_QUALITY = 0x00000004 , irr::video::ETCF_OPTIMIZED_FOR_SPEED = 0x00000008 ,
irr::video::ETCF_CREATE_MIP_MAPS = 0x00000010 , irr::video::ETCF_NO_ALPHA_CHANNEL = 0x00000020 , irr::video::ETCF_ALLOW_NON_POWER_2 = 0x00000040 , irr::video::ETCF_FORCE_32_BIT_DO_NOT_USE = 0x7fffffff
}

| Enumeration flags telling the video driver in which format textures should be created. More...
enum | irr::video::E_TEXTURE_LOCK_MODE { irr::video::ETLM_READ_WRITE = 0 , irr::video::ETLM_READ_ONLY , irr::video::ETLM_WRITE_ONLY }
| Enum for the mode for texture locking. Read-Only, write-only or read/write. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0